<?php

$query = "
SELECT * FROM data;
";

$queryResponse = pg_query($db, $query);
$questions = pg_fetch_all($queryResponse);
asort($questions);

$properTitle = "{$pageTitle} &mdash; admin";
$CSSdownDirectory = 1;
include "../boilerplate/pageStart.php";
include "../boilerplate/question.php";

echo("<h2 class=\"title\"> {$pageTitle} &mdash; admin</h2>");

if ($_GET["deleted"] == 1) {
  echo("<div class=\"sentconf\">deleted!</div>");
}

if ($_GET["responded"] == 1) {
  echo("<div class=\"sentconf\">response sent!</div>");
}

if ($_GET["read"] == 1) {
  echo("<div class=\"sentconf\">marked as read!</div>");
}

if ($_GET["unread"] == 1) {
  echo("<div class=\"sentconf\">marked as unread!</div>");
}

if ($_GET["migrated"] == 1) {
  echo("<div class=\"sentconf\">migrations have been run!</div>");
}

$totalUnresponded = 0;
$totalPriv = 0;
$totalPrivRead = 0;
$totalRespondedPub = 0;

$unresponded = "";
$private = "";
$privateRead = "";
$responded = "";

foreach (array_reverse($questions) as $question) {
  if ($question["isrespondedto"] === "f" && $question["ispublic"] === "t") {
    $totalUnresponded++;
    $unresponded .= getQuestion($question, 0, 1, 0, $adminPassword);
  } else if ($question["ispublic"] === "f") {
    if ($question["isprivread"] === "t") {
      $totalPrivRead++;
      $privateRead .= getQuestion($question, 0, 1, 0, $adminPassword);
    } else {
      $totalPriv++;
      $private .= getQuestion($question, 0, 1, 0, $adminPassword);
    }
  } else {
    $totalRespondedPub++;
    $responded .= getQuestion($question, 0, 1, 0, $adminPassword);
  }
}

echo("
  <h3 class=\"sect\">not responded to ({$totalUnresponded})</h3>
  {$unresponded}
  <h3 class=\"sect\">unread private ({$totalPriv})</h3>
  {$private}
  <h3 class=\"sect\">public ({$totalRespondedPub})</h3>
  {$responded}
  <h3 class=\"sect\">read private ({$totalPrivRead})</h3>
  {$privateRead}
");

include '../boilerplate/pageEnd.php';

?>
